﻿using C1.WPF.FlexGrid;
using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;


namespace WpfApplication1
{
    public class MyCellFactory : CellFactory
    {
        // static fields
        static Thickness _thicknessEmpty = new Thickness(0);

        public override void CreateRowHeaderContent(C1FlexGrid grid, Border bdr, CellRange rng)
        {
            // first column contains letters
            if (rng.Column == 0)
            {
                var tb = new TextBlock();
                tb.HorizontalAlignment = HorizontalAlignment.Center;
                tb.VerticalAlignment = VerticalAlignment.Center;
                tb.Text = string.Format("{0}", rng.Row + 1);
                bdr.Padding = _thicknessEmpty;
                bdr.Child = tb;
            }

            //base.CreateRowHeaderContent(grid, bdr, rng);
        }
    }
}
